package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Crd;
import com.brilliance.isc.bo.Fxd;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CrdMapper {

    int insert(Crd record);

    int insertSelective(Crd record);

    int updateByPrimaryKeySelective(Crd record);

    int updateByPrimaryKey(Crd record);

    int deleteByPrimaryKey(Crd record);

    int deleteByIds(Collection<Object> collection);

    Crd selectByPrimaryKey(Crd record);

    int dyncDelete(Map<String, Object> dyncMap);

    int dyncUpdate(Map<String, Object> dyncMap);

    List<Crd> dyncRead(Map<String, Object> dyncMap);

    Crd selectByInr(@Param("inr") String inr);

    Crd selectByOwnref(String ownref);
}